addZeroEquation<-function( eqs, i, j, w=1) {
  #Function adds equations B[i,j]=0 to the equation structure.
  #INPUT:
  # eqs     - List structure of equations. Created by addEquations.R.
  # i,j     - Indexes of the element B[i,j].
  # w       - Weight of the equation, 1 as default.

  #OUTPUT:
  # list with
  #  $n    - The number of nodes in the network.
  #  $nexp - Experiments added in total.
  #  $P    - Indexing structure for indexing t -vector.
  #  $K    - K matrix of the paper.
  #  $k    - k vector of the paper.
  #  $sat  - A matrix where sat[i,j] is TRUE if pair condition (j,i) is satisfied.

  a <- rep(0,eqs$n*(eqs$n-1))
  a[pair2lin(eqs$P,i,j)] <- w #weight w for index i,j
  b<-0 #the other side is just zero

  eqs$K <- rbind(eqs$K,a)
  eqs$k <- rbind(eqs$k,b)

  eqs$sat[i,j] <- TRUE #marking the pair condition satisfied for this pair

  eqs
}