designExperiments<-function(n,maxn) {
  #Design experiments, all possible experiments, where the order is the following
  # a) first one intervened, then two, then three
  # b) first 1 intervened, then 2 and so on
  # This way the experiments are done deterministically, when choose experiment always
  # chooses the first one of the equally good experiments. 
  #INPUT:
  # n    - The number of nodes in the graph.
  # maxn - Maximum number of intervened variables.
  #OUTPUT:
  # An array where each experiment one of the columns.

  E<-array(0,c(n,0))

  for ( maxni in 1:maxn ) { #consider first singular experiments
    C<-combinations(n,maxni)

    for ( i in 1:nrow(C) ) {
      e<-rep(FALSE,n)
      e[C[i,]]<-TRUE
      E<-cbind(E,e)
    }
  }
  E
}