enforce.sachs3<-function( Tvec, intervened, observed, tind) {
  # Enforces additional rule for Sachs data. Because pc_skeleton is run only
  # marginalized over intervened upon variables, this is needed.
  #INPUT:
  # Tvec           - Vector of experimental effects.
  # intervened     - Vector of variable indexes where intervened.
  # observed       - Vector of variable indexes where not intervened but observed.
  # tind           - If the abs. experimental effect is below this, variables are independent.

  #OUTPUT:
  # An list with
  # Z - Which elements of B should be zero, integer matrix.
  # E - Which elements of Ce should be zero (Non are marked in this function.)

  Z<-array(0,c(length(Tvec),length(Tvec)) )
  for ( i in intervened ) {
    for ( o in observed ) {
      if ( abs(Tvec[o]) < tind  ) { #if
        Z[o,i]<-Z[o,i]+1
      }
    }
  }
  list(Z=Z,E=array(0,dim(Z)))
}