experiment.sample<-function(M, newexp=NULL, N) { #, bootstraps=100
  # Calculates the sampling covariance matrix for the mutilated model.
  #INPUT:
  # trueModel - Model from randomModel().
  # newexp    - Vector where 1:s if intervened. If not given a random experiment
  #             is performed
  # N         - The number of samples. 1e6 is maximum, 1e5 is still ok fast.
  #OUTPUT:
  # An list with
  # $e - Vector where 1:s if intervened
  # $Cx - Covariance matrix of the data.

  n<-sum(!M$hidden)

  if ( is.null(newexp) ) {
     newexp <- 1*(runif(n)>0.5)
  }

  dim(newexp)<-c(n,1)

  # sample data
  #X<-generateStochEquilData( M$B, M$estd, interv, hidden, nsamples, burnin ) 
  X<- generateExperimentalData.plain( trueModel=M, Ei=newexp, nsamples=N )

  #browser()

  E<-list()

  E$e <- as.vector(newexp)

  E$Cx <- cov(t(X)) #calculate the covariance

  attr(E$Cx,'N' ) <- N

  E
}

# 
# experiment.sample1000<-function(M, newexp=NULL, N) { #, bootstraps=100
#   #canonical model has B and Ce matrices as parameters
#   NN<-N/1000
# 
#   n<-sum(!M$hidden)
# 
#   if ( is.null(newexp) ) {
#      newexp <- 1*(runif(n)>0.5)
#   }
#   C<-array(0,c(n,n))
#   for ( i in 1:1000 ) {
#      E<-experiment.sample(M,newexp=newexp,NN)
#      C<-C + 1/1000*E$Cx
#   }
#   C<-C
#   attr(C,'N')<-N
#   E$Cx<-C
#   E$e<-newexp
#   E
# }

