generateExperimentalData.plain <- function( trueModel, Ei, nsamples ) {
  # Generates sampled experimental data.
  #INPUT:
  # trueModel - Model from randomModel().
  # Ei        - Vector where 1:s if intervened. If not given a random experiment
  #             is performed
  # nsamples  - The number of samples. 1e6 is maximum, 1e5 is still ok fast.
  #OUTPUT:
  # A matrix of samples. Each sample is in the columns.
  
  n <- length(trueModel$hidden)
  obsVar <- !trueModel$hidden

  evec <- (Ei > 0)
  Bmut <- trueModel$B
  Bmut[which(evec),] <- 0

  estd <- trueModel$estd
  estd[which(evec)] <- 1

  S <- diag(estd) %*% matrix(rnorm(nsamples*n),n,nsamples) 
  X <- solve(diag(n)-Bmut) %*% S + trueModel$const
  X[obsVar,]
}
