plot1<-function() {
  #plots the samping plot, Figure 4.
  # The tests test.sampling() need to have been run previously.
  # output: samplingplot.pdf.

  R<-test.sampling.print()
  pdf(file='samplingplot.pdf',width=6,height=6)
  edges<-seq(from=4,to=60,by=4)

  par(mfcol=c(2,2),oma=c(3,2,3,0))

  par(mfg=c(1,1),mai=c(0.5,0.5,0.1,0.1))

  plot(edges,R$nexp$nor1,ylim=c(0,10),type='p',col='black',pch=1,xlab='',ylab='')
  lines(edges,R$nexp$skl1,ylim=c(0,10),type='p',col='blue',pch=4)
  lines(edges,R$nexp$all1,ylim=c(0,10),type='p',col='red',pch=5)

  par(mfg=c(1,2),mai=c(0.5,0.5,0.1,0.1))
  plot(edges,R$nexp$nor3,ylim=c(0,10),type='p',pch=1,col='black',xlab='',ylab='')
  lines(edges,R$nexp$skl3,ylim=c(0,10),type='p',col='blue',pch=4)
  lines(edges,R$nexp$all3,ylim=c(0,10),type='p',col='red',pch=5)

  par(mfg=c(2,1),mai=c(0.5,0.5,0.1,0.1))
  plot(edges,R$avecor$nor1,ylim=c(0,1),type='p',pch=1,col='black',
        xlab='number of edges',ylab='')
   lines(edges,R$avecor$skl1,ylim=c(0,1),type='p',col='blue',pch=4)
  lines(edges,R$avecor$all1,ylim=c(0,1),type='p',col='red',pch=5)

  par(mfg=c(2,2),mai=c(0.5,0.5,0.1,0.1))
  plot(edges,R$avecor$nor3,ylim=c(0,1),type='p',pch=1,col='black',
        ,ylab='')
  lines(edges,R$avecor$skl3,type='p',col='blue',pch=4)
  lines(edges,R$avecor$all3,type='p',col='red',pch=5)

   legend(25,0.4,legend=c('no faithfulness','skeleton rules','all rules'),pch=c(1,4,5),
          cex=1.1,bty='n',col=c('black','blue','red'))

  mtext("(a)",side=2,at=33/32,outer=TRUE,cex=1.5,line=0,las=1)
  mtext("(b)",side=2,at=17/32,outer=TRUE,cex=1.5,line=0,las=1)

  mtext("1 variable interventions",side=3,at=9/32,outer=TRUE,cex=1.1,line=1)
  mtext("max 3 variable interventions",side=3,at=25/32,outer=TRUE,cex=1.1,line=1)

  mtext("accuracy",side=2,at=9/32,outer=TRUE,cex=1.1,line=0)
  mtext("number of experiments",side=2,at=25/32,outer=TRUE,cex=1.1,line=0)

  mtext("number of edges",side=1,at=9/32,outer=TRUE,cex=1.1,line=0)
  mtext("number of edges",side=1,at=25/32,outer=TRUE,cex=1.1,line=0)
  dev.off()
}