sachs<-function() {
  #Runs the sachs tests and outputs the graphs.

  filenames=c('skeleton05', 'allrules05','skeleton10','allrules10')

  load('sachs.faithful.Rdata')
  Z<-list()
  Z[[1]] <- Z1_05 > 150
  Z[[2]] <- ZA_05 > 100
  Z[[3]] <- Z1_10 > 150
  Z[[4]] <- ZA_10 > 100

  for ( i in 1:4 ) {
    set.seed(0)
    B<-sachs.bootstrap( zero=Z[[i]], 100 )

    cat('B before pruning:') 
    print(round(B,3))

    #pruning things that were undetermined, they have large variances
    pruning_undet <- ( attr(B,'sd') > 2 )
    pruning_undet[is.na(pruning_undet)] <- FALSE
    B[pruning_undet] <- NA
    attr(B,'sd')[pruning_undet] <- NA 

    #pruning zero coefficents
    pruning_zeros <- ( abs(B) < 0.0999 )
    pruning_zeros[is.na(pruning_zeros)] <- FALSE
    attr(B,'sd')[pruning_zeros]<-NA
    B[pruning_zeros] <- 0
 
    #further pruning coefficient that are smaller than the std. deviation
    pruning_zeros <- ( abs(B) < attr(B,'sd') )
    pruning_zeros[is.na(pruning_zeros)] <- FALSE
    attr(B,'sd')[pruning_zeros]<-NA
    B[pruning_zeros] <- 0

    cat('B after pruning:') 
    print(round(B,3))
    plotgraph(B,filename=filenames[i])
  }
}

