test.accurate<-function(I=c(1:12,14:31)) { 
  #Conducts the test for the paper with accurate covariance data.
  #INPUT:
  # I           - Indexes/seeds for the models used.

  #with set 13 the unlikely thing happens it is not stable with experiment c(2,7,8)
  #>set.seed(13);M<-randomModelS(10,26,26);
  #> B<-canonical(M)$B
  #> B[c(2,7,8),]<-0
  #> abs(eigen(B)$values)
  #[1] 1.0005410 0.6685484 0.6019584 0.6019584 0.4113117 0.2345020 0.2345020 0.0000000 0.0000000 0.0000000
  #in the paper the stability is assumed, but because of time requirements (exp. number of experimental sets) only 
  #observational stability is tested. Here:
  #abs(eigen(canonical(M)$B)$values)
  #[1] 0.78305217 0.78305217 0.76683973 0.76683973 0.75468914 0.75468914 0.51738486 0.37542612 0.29124040 0.07986159
  # 

  for ( i in I ) {
    for (ec in seq(from= 2, to=30, by=2) ) {
      set.seed(i);
      M<-randomModel(10,confounders=ec,edges=ec );
      #this defines the model
      for ( maxi in c(1,3) ) {
        for ( irules in c(1,2,3) ) {
          if( irules == 1 ) {
            rules <- c()
          } else if ( irules==2 ) {
            rules <- c(1)
          } else if ( irules == 3 ) {
            rules <- c(1,2,3)
          }
          filename=paste('accurate/M',ec,'_',i,'_',maxi,'_',irules,'.Rdata',sep='')

          R<-runinference.accurate( M, maxn=maxi, rules=rules )
          save(R,file=filename)
          cat('saved:',filename,'\n')
        }
      }
    }#for ec
  }#for i
}