test.accurate.print<-function(I=c(1:12,14:31)) {
  #Prints test results for the accurate covariance tests.
  #INPUT:
  # I           - Indexes/seeds for the models used.
  #OUTPUT:
  # Additional info for the plot2 function.


  results<-list()
  results$nexp<-list()
  results$nexp$all1<-rep(NA,15)
  results$nexp$all3<-rep(NA,15)
  results$nexp$skl1<-rep(NA,15)
  results$nexp$skl3<-rep(NA,15)
  results$nexp$nor1<-rep(NA,15)
  results$nexp$nor3<-rep(NA,15)

  results$avepc<-list()
  results$avepc$all1<-rep(NA,15)
  results$avepc$all3<-rep(NA,15)
  results$avepc$skl1<-rep(NA,15)
  results$avepc$skl3<-rep(NA,15)
  results$avepc$nor1<-rep(NA,15)
  results$avepc$nor3<-rep(NA,15)


  for ( maxi in c(1,3) ) {
    for ( irules in c(1,2,3) ) {
      if( irules == 1 ) {
         rules <- 'NO F'
      } else if ( irules==2 ) {
         rules <- 'SKELETON RULE'
      } else if ( irules == 3 ) {
         rules <- 'ALL RULES'
      }
      names<-c('SPNESS','RUNS',
               'PC1','R1','PC3','R3','PC5','R5',
               'MIN','AVE EXP','MAX',
               'AVE SQ','MAX ABS','AVE CORR','MIN CORR',
               'MPZ','MPD')
      RR<-array(NA,c(15,length(names)))
      colnames(RR)<-names
      for (ec in seq(from= 2, to=30, by=2) ) {
        Rc<-array(NA,c(0,12) )
        for ( i in I ) {
          Rm<-rep(NA,12)
          filename=paste('accurate/M',ec,'_',i,'_',maxi,'_',irules,'.Rdata',sep='')
          #this defines the inference
          if ( file.access(filename,0) == 0 ) {
            load(filename)
                        #putting first the maximums
            Rm[c(1,3,5)]<-max(R$PCs)
            Rm[c(2,4,6)]<-max(R$Rs)

            Rm[1]<-R$PCs[1]
            Rm[2]<-R$Rs[1]


            if ( R$nexp >= 3 ) {
              Rm[3]<-R$PCs[3]
              Rm[4]<-R$Rs[3]
            }

            if ( R$nexp >= 5 ) {
              Rm[5]<-R$PCs[5]
              Rm[6]<-R$Rs[5]
            }


            Rm[7]<-R$nexp

            C<-canonical(R$M)
            Rm[8]<-sum( (R$B-C$B)^2 )
            Rm[9]<-max( abs(R$B-C$B) )

            Rm[10]<-cor(as.vector(R$B),as.vector(C$B))

            if ( !is.null(R$extra_zero) ) {
              Rm[11]<-R$extra_zero
            }
            if ( !is.null(R$extra_determined) ) {
              Rm[12]<-R$extra_determined
            }
            Rc<-rbind(Rc,Rm)
          } else { #if file.access 
            cat('No access:',filename,'\n')
          }
        }
        RR[ec/2,]<-c(ec, nrow(Rc), 
                  mean(Rc[,1]),mean(Rc[,2]),mean(Rc[,3]),mean(Rc[,4]),mean(Rc[,5]),mean(Rc[,6]),
                  min(Rc[,7]),mean(Rc[,7]),max(Rc[,7]),mean(Rc[,8]),max(Rc[,9]),
                  mean(Rc[,10]), min(Rc[,10]), max(Rc[,11]),max(Rc[,12]) )

        if ( maxi == 1 && irules == 3 ) {
            results$nexp$all1[ec/2]<-mean(Rc[,7])
            results$avepc$all1[ec/2]<-mean(Rc[,3])
        } else if ( maxi == 3 && irules == 3 ) {
            results$nexp$all3[ec/2]<-mean(Rc[,7])
            results$avepc$all3[ec/2]<-mean(Rc[,3])
        } else if ( maxi == 1 && irules == 2 ) {
            results$nexp$skl1[ec/2]<-mean(Rc[,7])
            results$avepc$skl1[ec/2]<-mean(Rc[,3])
        } else if ( maxi == 3 && irules == 2 ) {
            results$nexp$skl3[ec/2]<-mean(Rc[,7])
            results$avepc$skl3[ec/2]<-mean(Rc[,3])
        } else if ( maxi == 1 && irules == 1 ) {
            results$nexp$nor1[ec/2]<-mean(Rc[,7])
            results$avepc$nor1[ec/2]<-mean(Rc[,3])
        } else if ( maxi == 3 && irules == 1 ) {
            results$nexp$nor3[ec/2]<-mean(Rc[,7])
            results$avepc$nor3[ec/2]<-mean(Rc[,3])
        }
      }
      cat('--------MAXINTVND=',maxi,'-',rules,'-----------------------\n')
      print(RR)

      cat('----------------------------------------------------------\n')
    }#for ec
  }#for i

  invisible( results )
}


